package cn.bsystem.ptuserrole.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ptyhhmdlDao")
public class PtyhhmdlDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
    	super.setSqlMapClient(sqlMapClient);      
    }
	
	
	/**
	 * 增加记录
	 */
	public void insert_Ptyhhmdl(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ptyhhmdl",map);
	}

	/**
	 * 修改记录
	 */
	public Integer update_Ptyhhmdl(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ptyhhmdl",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ptyhhmdl(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ptyhhmdl",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ptyhhmdl(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ptyhhmdl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ptyhhmdl(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ptyhhmdl",map);
	}
	
}
